@echo off
rem *********************************************************************
rem *                                                                   *
rem * NOME SCRIPT: CrtSpace.cmd                                         *
rem *                                                                   *
rem * Script scritto da Alessandro Tani (Home Works S.p.A.)             *
rem *                                                                   *
rem * Versione 1.0 - Modificato l'ultima volta il 27/12/2005            *
rem *                da Alessandro Tani                                 *
rem * SCOPO:                                                            *
rem *                                                                   *
rem *  Questo script ha il compito di creare una cartella per           *
rem *  la salvaguardia dello spazio su dico. Questa cartella            *
rem *  va esclusa dai cicli di salvataggio                              *
rem *                                                                   *
rem * File di log: %SystemDrive%\Logs\SaveSpace.log                     *
rem *                                                                   *
rem * PREREQUISITI:                                                     *
rem *                                                                   *
rem *  I Support Tools di Windows 2003 devono essere installati         *
rem *  Il file %SystemDrive%\Bin\Vbs\SaveSpace.vbs deve esistere        *
rem *                                                                   *
rem * TESTO:                                                            *
rem *                                                                   *
rem *  Nessuno                                                          *
rem *                                                                   *
rem *********************************************************************

rem Definiamo l'ambiente locale
setlocal enableextensions
echo.

rem Impostiamo le variabili
if "%1" equ "" goto HELP
if "%2" equ "" goto HELP
if "%4" neq "" goto HELP
set DataDrive=%1
set SizeDir=%2
set LOGFILE=%3

if "%LOGFILE%" equ "" set LOGFILE=%SystemDrive%\Logs\SaveSpace.log

rem Controlliamo l'esistenza della cartelle necessarie all'esecuzione dello script
if not exist %SystemDrive%\Logs md %SystemDrive%\Logs
if not exist %SystemDrive%\Bin\Vbs\SaveSpace.vbs goto NOFILE
if not exist "%DataDrive%" goto NODRIVE

echo Procediamo con l'esecuzione dello script ...

cscript //nologo %SystemDrive%\Bin\Vbs\SaveSpace.vbs %DataDrive%\SaveSpace %SizeDir% %LOGFILE%

echo L'esecuzione dello script e' terminata.
echo.
echo Per maggiori informazioni sulla creazione della cartella SaveSpace e 
echo della sua condivisione, consultate il file di log %LOGFILE%
goto END

:HELP
echo Comando per creare la cartella SaveSpace con cui salvaguardare
echo lo spazio disponibile sul server.
echo.
echo Sintassi:
echo.
echo   SaveSpace ^<NomeDriveDati^> ^<DimensioneCartellaInGigaByte^> [PathFileLog]
echo.
echo Esempi:
echo.
echo   SaveSpace F: 20 "C:\Logs\CreateSpace.log"
echo.
echo In questo caso la cartella SaveSpace verra' create nel disco F: e avra' 
echo la dimensione di 20GB. I risultati delle varie operazioni verranno registrati
echo nel file "C:\Logs\CreateSpace.log".
echo.
echo   SaveSpace D: 0.5
echo.
echo In questo caso la cartella SaveSpace verra' create nel disco D: e avra' 
echo la dimensione di 500MB.
goto END

:NOFILE
echo Il file %SystemDrive%\Bin\Vbs\SaveSpace.vbs non esiste. Pertanto non e' possibile proseguire
echo nell'esecuzione dello script. Controlla che il file sia presente.
echo.
goto END

:NODRIVE
echo Il disco %DataDrive% non esiste. Pertanto non e' possibile proseguire
echo nell'esecuzione dello script. Controlla dinuovo quanto hai digitato.
echo.
goto HELP

:END
echo.
endlocal
exit /b