' *********************************************************************
' *                                                                   *
' * NOME SCRIPT: SaveSpace.vbs                                        *
' *                                                                   *
' * Script scritto da Alessandro Tani (Home Works S.p.A.)             *
' *                                                                   *
' * Versione 1.0 - Modificato l'ultima volta il 27/12/2005            *
' *                da Alessandro Tani                                 *
' * SCOPO:                                                            *
' *                                                                   *
' *  Crea cartelle di una determinata dimensione riempiendola con     *
' *  file da 100MB l'uno                                              *
' *                                                                   *
' * File di log: Nessuno                                              *
' *                                                                   *
' * PREREQUISITI:                                                     *
' *                                                                   *
' *  I Support Tools di Windows 2003 devono essere installati         *
' *                                                                   *
' * TESTO:                                                            *
' *                                                                   *
' *  Nessuno                                                          *
' *                                                                   *
' *********************************************************************

'Dichiariamo sempre le variabili
Option Explicit

'Non gestiamo gli errori
On Error Resume Next

'Impostiamo gli aggetti
Dim objArgs, objFSO, objLogFile, objWshShell

'Impostiamo le variabili
Dim strPathDir, intDirSize, strPathLog, strLogFile, intCicli, objFolder, i

'Carichiamo i parametri
Set objArgs = WScript.Arguments

'Impostiamo le variabili
strPathDir = objArgs(0) 'Cartella da riempire con i file
intDirSize = objArgs(1) 'Dimensione cartella in GigaByte
strLogFile = objArgs(2) 'File di Log
intCicli = intDirSize * 10

'Impostiamo gli oggetti
Set objFSO = WScript.CreateObject("Scripting.FileSystemObject")
Set objLogFile = objFSO.CreateTextFile(strLogFile, True)
Set objWshShell = WScript.CreateObject("WScript.Shell")

'Impostiamo il file di Log
objLogFile.WriteLine "File di Log del comando SaveSpace.vbs creato il " & Date() & "alle " & Time()
objLogFile.WriteLine ""

If Not objFSO.FolderExists(strPathDir) then 'La cartella SaveSpace non esiste gi
   objFSO.CreateFolder(strPathDir)
   objLogFile.WriteLine "Creaimo la cartella " & strPathDir & " ..."
   objLogFile.WriteLine ""
End If

Set objFolder = objFSO.GetFolder(strPathDir)
objLogFile.WriteLine "Lo spazio disponibile sul disco " & objFolder.Drive & "  di " & Int(objFolder.Drive.AvailableSpace/1048576) & "MB"
objLogFile.WriteLine ""
If objFolder.Drive.AvailableSpace > (intDirSize * 1073741824) Then 'Lo spazio disponibile  adeguato
   objLogFile.WriteLine "Elenco dei file creati all'interno della cartella " &  strPathDir & " ..."
   objLogFile.WriteLine ""
   'Riempiamo la cartella con file da 100MB
   For i=1 to intCicli
       objLogFile.WriteLine "Creiamo il file " & strPathDir & "\File_SaveSpace_#" & i & ".txt"
       objWshShell.Run "fsutil file createnew " & strPathDir & "\File_SaveSpace_#" & i & ".txt" & " 102400000",0,True
   Next

   'Condividiamo la cartella SaveSpace
   objLogFile.WriteLine ""
   objLogFile.WriteLine "Condividiamo la cartella " & strPathDir & " col nome SaveSpace" & Left(objFolder.Drive,1)
   objWshShell.Run "net share SaveSpace" & Left(objFolder.Drive,1) & "=" & strPathDir & _
       " /grant:Everyone,Full /remark:" & Chr(34) &  "Salva Spazio Disco " & Left(objFolder.Drive,1) & Chr(34),0,True
Else 'Lo spazio disponibile non  adeguato
   objLogFile.WriteLine "Lo spazio disponibile sul disco " & objFolder.Drive & " non consente la creazione di una cartella di dimensioni di " & intDirSize & "GB."
   objLogFile.WriteLine "Per procedere con lo scritp si deve creare una cartella di dimensioni inferiori ai " & Int(objFolder.Drive.AvailableSpace/1048576) & "MB"
   objLogFile.WriteLine ""
   objLogFile.WriteLine "Cancelliamo la cartella " & strPathDir
   objFolder.Delete
End If

objLogFile.WriteLine ""
objLogFile.WriteLine "L'esecuzione dello script  terminata."
objLogFile.Close
